Looks like no one’s replied in a while. To start the conversation again, simply ask a new question.

Question:

Question: I have an ipad MC349KS and its version is 5.1.1 why cant I upgrade it?

I have an iPad MC349KS and it is 5.1.1 , I can't upgrade it, can someone tell me why?

iPad Wi-Fi, iOS 5.1.1

Posted on

Reply

Page content loaded

Apr 21, 2018 8:09 AM in response to Xenia07 In response to Xenia07

The first generation, 2010 iPad is eight years old, now.

It’s hardware to old and was underpowered and ONLY got ONE YEAR of iOS updates.

iOS 5.1.1 is the highest iOS that iPad model can go.

If you need an iPad that uses a newer operating system, you need to purchase a new or “newer” (refurbished or used) iPad.


Good Luck to You!

Apr 21, 2018 8:09 AM

Reply Helpful
User profile for user: Xenia07

Question: I have an ipad MC349KS and its version is 5.1.1 why cant I upgrade it?